CRMRecurrence
This method will get all CRMRecurrence Objects
GET/api/crm/crmrecurrences
Query parameters
idstring | |
recurrenceTypestring | |
recurrenceIntervalstring | |
recurrenceWeekdaystring | |
recurrenceMonthdaystring | |
recurrenceStartDatestring | |
recurrenceEndDatestring | |
nextOccurrencestring | |
lastOccurrencestring | |
isActivestring | |
createdstring | |
updatedstring | |
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
200Returns a list of CRMRecurrence objectsarray<CRMRecurrence>
Show fields (9)
idintegerPrimary key of the recurrence. Internal ID.
namestringName of the recurrence, for example monthly.
oncebooleanThe recurrence happens only once.
allow_partial_on_eq_start_billingbooleanAllows partial billing if start and billed date are equal. primarily used for the first billing of a yearly contract
date_stringstringDate pattern of the recurrence as text.
tolerancenumber (float)Tolerance in days around the recurrence date.
deletedbooleanThe recurrence is deleted.
rounding_stepsintegerSteps used to round the recurrence.
month_factorintegerNumber of months between two recurrences.
Request
curl --request GET \
--url https://your-instance.iw-erp.de/api/crm/crmrecurrences \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/crm/crmrecurrences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/crm/crmrecurrences"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/crm/crmrecurrences', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/crm/crmrecurrences"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/crm/crmrecurrences")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/crm/crmrecurrences"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'package:http/http.dart' as http;
final response = await http.get(
Uri.parse('https://your-instance.iw-erp.de/api/crm/crmrecurrences'),
headers: {'x-iw-jwt-token': '<TOKEN>'},
);
print(response.body);Response 200 application/json
[
{
"id": 42,
"name": "Beispiel",
"once": true,
"allow_partial_on_eq_start_billing": true,
"date_string": "string",
"tolerance": 1.5,
"deleted": true,
"rounding_steps": 1,
"month_factor": 1
}
]